/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UserConfirmationRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class UserConfirmationRequest {
  @SerializedName("confirmation_id")
  private String confirmationId = null;

  @SerializedName("confirmation_token")
  private String confirmationToken = null;

  @SerializedName("otp")
  private String otp = null;

  public UserConfirmationRequest confirmationId(String confirmationId) {
    this.confirmationId = confirmationId;
    return this;
  }

   /**
   * Confirmation id
   * @return confirmationId
  **/
  @ApiModelProperty(required = true, value = "Confirmation id")
  public String getConfirmationId() {
    return confirmationId;
  }

  public void setConfirmationId(String confirmationId) {
    this.confirmationId = confirmationId;
  }

  public UserConfirmationRequest confirmationToken(String confirmationToken) {
    this.confirmationToken = confirmationToken;
    return this;
  }

   /**
   * Confirmation token
   * @return confirmationToken
  **/
  @ApiModelProperty(example = "622239", required = true, value = "Confirmation token")
  public String getConfirmationToken() {
    return confirmationToken;
  }

  public void setConfirmationToken(String confirmationToken) {
    this.confirmationToken = confirmationToken;
  }

  public UserConfirmationRequest otp(String otp) {
    this.otp = otp;
    return this;
  }

   /**
   * Confirmation token
   * @return otp
  **/
  @ApiModelProperty(example = "561639", value = "Confirmation token")
  public String getOtp() {
    return otp;
  }

  public void setOtp(String otp) {
    this.otp = otp;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UserConfirmationRequest userConfirmationRequest = (UserConfirmationRequest) o;
    return Objects.equals(this.confirmationId, userConfirmationRequest.confirmationId) &&
        Objects.equals(this.confirmationToken, userConfirmationRequest.confirmationToken) &&
        Objects.equals(this.otp, userConfirmationRequest.otp);
  }

  @Override
  public int hashCode() {
    return Objects.hash(confirmationId, confirmationToken, otp);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UserConfirmationRequest {\n");
    
    sb.append("    confirmationId: ").append(toIndentedString(confirmationId)).append("\n");
    sb.append("    confirmationToken: ").append(toIndentedString(confirmationToken)).append("\n");
    sb.append("    otp: ").append(toIndentedString(otp)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

